Bug 159841 - Field names are misleading in configuration and '_' disallowed
Field names are misleading in configuration and '_' disallowed
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-08 12:01 EDT by Rob Kenna
Modified: 2009-04-16 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 15:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Kenna 2005-06-08 12:01:51 EDT
The fields of fence device input panel are very misleading. The "Hostname"
should have been IP Address and the "Name" should have been something more
obviously labelled (maybe "Label" or even "Hostname" ?).

2.2 "Name" rule is not well known. One thing we noticed is that it doesn't take
"_" (say "star_war" got bounced back).
Comment 1 Jim Parsons 2005-06-08 12:18:50 EDT
The field names are not misleading in my opinion - they match the attribute
values  in the xml file that they are setting. That is where the names came
from. Please don't think they were assigned in an arbitrary manner.

That said, the field names are text strings in the glade file. they are easy to
amend. I will set them to any value that is decided upon -- note, however, that
if you change 'Hostname' to 'IP Address', the attribute in the xml file will
still need to be 'hostname="value"', which may cause a disconnect in the minds
of those who use emacs to touch up their configuration file.
Comment 2 Corey Marthaler 2005-09-07 15:29:08 EDT
The underscore issue was fixed and documented in another bz a long time ago, and
since there wasn't any feed back to Jim's comment, I'm closing this. 

Note You need to log in before you can comment on or make changes to this bug.